CXX= g++
OBJ= main.o point.o vecteur.o matrice.o

point: main.o point.o vecteur.o matrice.o
	$(CXX) $(OBJ) -o point

main.o: main.cc
	$(CXX) -c main.cc

point.o: point.cc point.h
	$(CXX) -c point.cc

vecteur.o: point.o vecteur.h vecteur.cc
	$(CXX) -c vecteur.cc

matrice.o: vecteur.o matrice.cc matrice.h
